Sazabi
APITasks

Transition a task

Move a task to a target workflow state.

POST https://api.sazabi.com/v1/tasks/{taskId}/transition

POST
/tasks/{taskId}/transition

Path Parameters

taskId*string

The task to transition.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/tasks/string/transition" \  -H "Content-Type: application/json" \  -d '{    "state": "string"  }'
{  "identifier": "string",  "title": "string",  "url": "string",  "state": "string",  "changed": true}